Bug 446294 - KSystemStats starts on its own and takes up many GB of RAM
Summary: KSystemStats starts on its own and takes up many GB of RAM
Status: REPORTED
Alias: None
Product: plasma-systemmonitor
Classification: Unclassified
Component: general (show other bugs)
Version: 5.21.5
Platform: Debian stable Linux
: NOR normal
Target Milestone: ---
Assignee: KSysGuard Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-11-30 19:00 UTC by myndstream
Modified: 2021-12-30 22:36 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description myndstream 2021-11-30 19:00:27 UTC
SUMMARY
I didn't configure anything related to it so why is it getting started every other day or so and take up lots of RAM (I think basically all free RAM if not killed via the process manager)?
It's occurring on the latest stable Debian 11 with KDE.

Also asked about this here: https://unix.stackexchange.com/q/679667/233262

I couldn't find the KSystemStats product (or component?) here, that seems to be a problem too.

STEPS TO REPRODUCE
1. Wait
2. Once things slow down or get glitches check the process manager to see if ksysguard is running and taking up lots of RAM

OBSERVED RESULT
KSystemStats starts on its own and consumes many GB of RAM

EXPECTED RESULT
KSystemStats should not start on its own

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: Debian 11
KDE Plasma Version: 5.20.5
KDE Frameworks Version: 5.78.0
Qt Version: 5.15.2
KSysGuard: 4:5.20.5-2

ADDITIONAL INFORMATION
Comment 1 Nate Graham 2021-12-01 22:40:37 UTC
Pretty sure this is fixed in Plasma 5.23. Can you upgrade and check? Plasma 5.21 isn't supported anymore.
Comment 2 myndstream 2021-12-02 13:34:33 UTC
(In reply to Nate Graham from comment #1)
> Pretty sure this is fixed in Plasma 5.23. Can you upgrade and check? Plasma  5.21 isn't supported anymore.

No I can't: I'm using the latest version available in Debian 11 stable. It would be great if you could get newer version onto Debian repositories (there may  be valid reasons why they aren't there and these could be addressed; alternatively there could be a separate repo for newer KDE software but that could introduce lots of new problems so only the former would be better).
Comment 3 Nate Graham 2021-12-02 15:30:02 UTC
That's up to Debian's packagers, not us.

Fortunately Debian Packager Norbert Preining has a repo with newer KDE software in it. See https://www.preining.info/blog/2021/06/kde-plasma-5-22-for-debian/
Comment 4 myndstream 2021-12-30 22:36:11 UTC
I also found the below entries in the Journald log using KSystemLog.

This occurred after starting from standby. The session was broken yet again so I had log out my user to restart the session via the terminal. I think that this is unrelated to these log-entries and likely related to recently switching to Wayland.

For entries about kdeconnectd starting on its own see: https://bugs.kde.org/show_bug.cgi?id=431434

What could the cause be or which things should I try to find out and prevent this from happening?

The journald log entries:

> dbus-daemon	[session uid=1000 pid=2859675] Activating service name='org.kde.ksystemstats' requested by ':1.71' (uid=1000 pid=2867777 comm="/usr/bin/plasmashell ")
> dbus-daemon	[session uid=1000 pid=2859675] Successfully activated service 'org.kde.ksystemstats'
> dbus-daemon	[session uid=1000 pid=2859675] Activating service name='org.kde.KSplash' requested by ':1.71' (uid=1000 pid=2867777 comm="/usr/bin/plasmashell ")
> dbus-daemon	[session uid=1000 pid=2859675] Activating service name='org.kde.kdeconnect' requested by ':1.71' (uid=1000 pid=2867777 comm="/usr/bin/plasmashell ")
> dbus-daemon	[session uid=1000 pid=2859675] Activated service 'org.kde.kdeconnect' failed: Failed to execute program org.kde.kdeconnect: Permission denied
> dbus-daemon	[session uid=1000 pid=2859675] Activating service name='org.kde.kdeconnect' requested by ':1.71' (uid=1000 pid=2867777 comm="/usr/bin/plasmashell ")
> dbus-daemon	[session uid=1000 pid=2859675] Activated service 'org.kde.kdeconnect' failed: Failed to execute program org.kde.kdeconnect: Permission denied
> dbus-daemon	[session uid=1000 pid=2859675] Activating service name='org.kde.kdeconnect' requested by ':1.71' (uid=1000 pid=2867777 comm="/usr/bin/plasmashell ")
> dbus-daemon	[session uid=1000 pid=2859675] Activated service 'org.kde.kdeconnect' failed: Failed to execute program org.kde.kdeconnect: Permission denied
> dbus-daemon	[session uid=1000 pid=2859675] Activating service name='org.kde.kdeconnect' requested by ':1.71' (uid=1000 pid=2867777 comm="/usr/bin/plasmashell ")
> dbus-daemon	[session uid=1000 pid=2859675] Activated service 'org.kde.kdeconnect' failed: Failed to execute program org.kde.kdeconnect: Permission denied
> dbus-daemon	[session uid=1000 pid=2859675] Activating service name='org.kde.kdeconnect' requested by ':1.71' (uid=1000 pid=2867777 comm="/usr/bin/plasmashell ")
> dbus-daemon	[session uid=1000 pid=2859675] Activated service 'org.kde.kdeconnect' failed: Failed to execute program org.kde.kdeconnect: Permission denied
> dbus-daemon	[session uid=1000 pid=2859675] Activating service name='org.kde.kdeconnect' requested by ':1.71' (uid=1000 pid=2867777 comm="/usr/bin/plasmashell ")
> dbus-daemon	[session uid=1000 pid=2859675] Activated service 'org.kde.kdeconnect' failed: Failed to execute program org.kde.kdeconnect: Permission denied
> dbus-daemon	[session uid=1000 pid=2859675] Activating service name='org.kde.kdeconnect' requested by ':1.71' (uid=1000 pid=2867777 comm="/usr/bin/plasmashell ")
> dbus-daemon	[session uid=1000 pid=2859675] Activated service 'org.kde.kdeconnect' failed: Failed to execute program org.kde.kdeconnect: Permission denied
> dbus-daemon	[session uid=1000 pid=2859675] Activating service name='org.kde.kdeconnect' requested by ':1.71' (uid=1000 pid=2867777 comm="/usr/bin/plasmashell ")
> dbus-daemon	[session uid=1000 pid=2859675] Activated service 'org.kde.kdeconnect' failed: Failed to execute program org.kde.kdeconnect: Permission denied
> dbus-daemon	[session uid=1000 pid=2859675] Activating service name='org.kde.kdeconnect' requested by ':1.71' (uid=1000 pid=2867777 comm="/usr/bin/plasmashell ")
> dbus-daemon	[session uid=1000 pid=2859675] Activated service 'org.kde.kdeconnect' failed: Failed to execute program org.kde.kdeconnect: Permission denied
> dbus-daemon	[session uid=1000 pid=2859675] Activating service name='org.kde.kdeconnect' requested by ':1.71' (uid=1000 pid=2867777 comm="/usr/bin/plasmashell ")
> dbus-daemon	[session uid=1000 pid=2859675] Activated service 'org.kde.kdeconnect' failed: Failed to execute program org.kde.kdeconnect: Permission denied